LocalizedColumnTag (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.taglib.display.LocalizedColumnTag class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.taglib.display
Class LocalizedColumnTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.hyperic.hq.ui.taglib.display.ColumnTag
                  org.hyperic.hq.ui.taglib.display.LocalizedColumnTag

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class LocalizedColumnTag

extends ColumnTag
implements java.lang.Cloneable

Extends column for internationalization of title. title - the title displayed for this column. if this is omitted then the property name is used for the title of the column (optional)

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`LocalizedColumnTag()`

Method Summary
`int` | `doStartTag()` When the tag starts, we just initialize some of our variables, and do a little bit of error checking to make sure that the user is not trying to give us parameters that we don't expect.
`java.lang.Integer` | `getHeaderColspan()`
`boolean` | `getIsLocalizedTitle()`
`java.lang.Integer` | `getSortAttr()`
`java.lang.String` | `getTitle()` i18n the title
`boolean` | `isDefaultSort()`
`void` | `release()` called by the jsp framework to release state.
`void` | `setDefaultSort(boolean b)`
`void` | `setHeaderColspan(java.lang.Integer s)`
`void` | `setIsLocalizedTitle(boolean b)`
`void` | `setSortAttr(java.lang.Integer i)`
`java.lang.String` | `toString()` Returns a String representation of this Tag that is suitable for printing while debugging.

Methods inherited from class org.hyperic.hq.ui.taglib.display.ColumnTag
`doEndTag, getAlign, getAutolink, getBackground, getBgcolor, getCellAttributes, getDecorator, getDoubleQuote, getGroup, getHeaderStyleClass, getHeight, getHref, getMaxLength, getMaxWords, getNowrap, getNulls, getParamId, getParamName, getParamProperty, getParamScope, getProperty, getSort, getStyleClass, getValign, getValue, getWidth, setAlign, setAutolink, setBackground, setBgcolor, setDecorator, setDoubleQuote, setGroup, setHeaderStyleClass, setHeight, setHref, setMaxLength, setMaxWords, setNowrap, setNulls, setParamId, setParamName, setParamProperty, setParamScope, setProperty, setSort, setStyleClass, setTitle, setValign, setValue, setWidth`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### LocalizedColumnTag

    public LocalizedColumnTag()

Method Detail

### isDefaultSort

    public boolean isDefaultSort()

### setDefaultSort

    public void setDefaultSort(boolean b)

### getIsLocalizedTitle

    public boolean getIsLocalizedTitle()

### setIsLocalizedTitle

    public void setIsLocalizedTitle(boolean b)

### getSortAttr

    public java.lang.Integer getSortAttr()

### setSortAttr

    public void setSortAttr(java.lang.Integer i)

### getHeaderColspan

    public java.lang.Integer getHeaderColspan()

### setHeaderColspan

    public void setHeaderColspan(java.lang.Integer s)

### getTitle

    public java.lang.String getTitle()

  i18n the title

  Overrides:
    `getTitle` in class `ColumnTag`

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  When the tag starts, we just initialize some of our variables, and do a little bit of error checking to make sure that the user is not trying to give us parameters that we don't expect.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `ColumnTag`
  Throws:
    `javax.servlet.jsp.JspException`

### release

    public void release()

  Description copied from class: `ColumnTag`
  called by the jsp framework to release state.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `ColumnTag`

### toString

    public java.lang.String toString()

  Description copied from class: `ColumnTag`
  Returns a String representation of this Tag that is suitable for printing while debugging. Where the placeholders in brackets are replaced with their appropriate instance variables

  Overrides:
    `toString` in class `ColumnTag`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.